// --------------------------------------------------------------------
// Panel Analogique du Mi-8
// --------------------------------------------------------------------

function panel_analog_update(KaTZPit_data){
	
	
		// Animation des jauges-----------------------------------------------------------------------
		// Rotation Aiguilles Moteur (origine et gain dans les fonctions)
		// Fonction de la valeur brute exportée par DCS , 
		
		Rotate_Airspeed(KaTZPit_data["IAS"])
		Rotate_Vario(KaTZPit_data["Vario"])
		
		// Altirad ------------------------------------------------------------------------------------
		// xxAB , où A = Flag Low Alti , B = Flag On
		Altirad_flag = dataread_split_2(KaTZPit_data["AltiRad_FI"])
		
		
		// Positionnement de l'Index
		Rotate_Altirad(KaTZPit_data["QFE"],Altirad_flag[0])
		
		// Alarme Low Alti (deuxième digit des 
		if (Altirad_flag[1] > 10) {$("#LOW_Altirad").fadeIn()} else {$("#LOW_Altirad").fadeOut()}
		
		// Bouton On
		if (Altirad_flag[1] > 0) {$("#On_Altirad").attr('src','images/Switch-haut.gif')} 
		else {$("#On_Altirad").attr('src','images/Switch-bas.gif')}
				
		// Altimetre Baro , 2 aiguilles  -------------------------------------------------------------
		Rotate_Altitude(KaTZPit_data["QNH"])
		Rotate_Altitude1000(KaTZPit_data["QNH"]/10)
		
		// Pitch et RPM Rotor  -----------------------------------------------------------------------
		Rotate_Pitch(KaTZPit_data["Pitch_Rot"])
		Rotate_RPM(KaTZPit_data["RPM_Rot"]/10)
		
		// RPM Moteurs  -----------------------------------------------------------------------------
		var RPM_Eng = dataread_split_2(KaTZPit_data["Eng_rpm"])
			Rotate_RPM2(RPM_Eng[1]/10,RPM_Eng[0]/10)
			
		// Cadran Bille et Side Split  ---------------------------------------------------------------
		var SpeedSplit = dataread_split_2(KaTZPit_data["EUP"])
			Rotate_Bille(SpeedSplit[1], SpeedSplit[0])
		
		// Rotation HSI   --------------------------------------------------------------------------
		var i_Cap = 360 - KaTZPit_data["Cap"]/10
		var i_Way = (KaTZPit_data["Way"]/10)
		var i_Route = (KaTZPit_data["Route"]/10)
	
		Rotate_HSI(i_Cap, i_Way, i_Route)	
			
		// ADI  -------------------------------------------------------------------------------------
		var ADI_Pitch = KaTZPit_data["Pitch"]
		
		// Calcul de variation de l'horizon artificiel range 0% à 100%
		var ADI_Pitch_A = Math.min(Math.max((ADI_Pitch + 200) / 400,0),1)
		
		document.getElementById('ADI_Pitch_V1').innerHTML = (ADI_Pitch/1000*90).toFixed(0)
		document.getElementById('ADI_Pitch_V2').innerHTML = (ADI_Pitch/1000*90).toFixed(0)
						
		Animate_ADI(SpeedSplit[0],KaTZPit_data["Bank"],ADI_Pitch_A)
				
			
		// Stationnaire, Cadran Sling  ----------------------------------------------------
		var Sling2 = dataread_split_2(KaTZPit_data["Sling_2D"])
		var Sling3 = dataread_split_2(KaTZPit_data["Sling_3D"])
		
		var lr_gain = 0.9
		var fb_gain = 0.9
		
		Sling_L = - Math.min(Sling2[0]/1000,0) * lr_gain // %age de déplacement Left
		Sling_R = Math.max(Sling2[0]/1000,0) * lr_gain // %age de déplacement Right
		Sling_F = Math.max(Sling2[1]/1000,0) * fb_gain// %age de déplacement Forward
		Sling_B = - Math.min(Sling2[1]/1000,0) * fb_gain // %age de déplacement Back
		Sling_V = Sling3[0] // Rotation Variometre
				
		// Jauge de sling 4 directions + Vario
		Jauge_Sling(Sling_L, Sling_R, Sling_F, Sling_B, Sling_V)
		if (Sling3[1] > 0) {$("#Sling_Off").fadeIn()} else {$("#Sling_Off").fadeOut()}
									
		// diss 15, Cadran Drift ----------------------------------------------------
		var Drift_Data = dataread_split_2(KaTZPit_data["D15_drift"])
		
			// Rotation Angle Drift
				Rotate_Drift(Drift_Data[1])
					
			// Voyant Memory
				if (dataread_posit(KaTZPit_data["D15_drift_V"],1 ) ==0){document.getElementById('Mem_Drift').innerHTML = "M"} 
				else {document.getElementById('Mem_Drift').innerHTML = ""}

			// Shutter ou Vitesse de Drift			
				if (dataread_posit(KaTZPit_data["D15_drift_V"],2 ) ==1){document.getElementById('Speed_Drift').innerHTML = 'xxx'} 
				else {document.getElementById('Speed_Drift').innerHTML = Drift_Data[0].toFixed(0)} 
		
}

function panel_rotor_update(KaTZPit_data){		
	// TEMPORAIRE ROTOR PANEL
		// IAS en "km/h"
		// Echelle non linéaire conveti par la fonction IAS_L() de function_convert_scale.js
		document.getElementById('IAS_0').innerHTML = IAS_L(KaTZPit_data["IAS"]).toFixed(0)
		
		document.getElementById('Vario_0').innerHTML = Vario_L(KaTZPit_data["Vario"]).toFixed(1)
		
		// Pitch en degré
		// Echelle non linéaire conveti par la fonction RotorPitch() de function_convert_scale.js
		document.getElementById('RPM_Rot').innerHTML = KaTZPit_data["RPM_Rot"]
		document.getElementById('Pitch_Rot').innerHTML = RotorPitch(KaTZPit_data["Pitch_Rot"]).toFixed(1)	

		// Valeur en test
		document.getElementById('Test_val').innerHTML = KaTZPit_data["Start_Sel"]	
		
		if (IAS_L(KaTZPit_data["IAS"]) > 250) {$("#RV-Speed").fadeIn()} else {$("#RV-Speed").fadeOut()}
		if (IAS_L(KaTZPit_data["IAS"]) < 50 && Vario_L(KaTZPit_data["Vario"]) < -5) {$("#RV-Vortex").fadeIn()} else {$("#RV-Vortex").fadeOut()}
		
		// Jauge de puissance Moteur gestion gauche droite et index
		var i_Pow_Lpct = Math.max((KaTZPit_data["Power_L"] - 50) / 50 , 0)
		var i_Pow_Rpct = Math.max((KaTZPit_data["Power_R"] - 50) / 50 , 0)
		var i_pow_X = (KaTZPit_data["Power_X"])		
		
		Jauge_Power(i_Pow_Lpct, i_Pow_Rpct, i_pow_X )
		//console.log(i_pow_X)
		
}	

function Rotate_HSI(cap,way,route){
	var a_origine = 0
	var a_gain = 1
	
	$("#AN_Rosace").css({
		'-moz-transform':'rotate('+(a_origine+a_gain*cap)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+a_gain*cap)+'deg)',
		'-ms-transform':'rotate('+(a_origine+a_gain*cap)+'deg)',
	})

	$("#AN_Way").css({
		'-moz-transform':'rotate('+(a_origine+a_gain*way)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+a_gain*way)+'deg)',
		'-ms-transform':'rotate('+(a_origine+a_gain*way)+'deg)',
	})

	$("#AN_Route").css({
		'-moz-transform':'rotate('+(a_origine+a_gain*route)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+a_gain*route)+'deg)',
		'-ms-transform':'rotate('+(a_origine+a_gain*route)+'deg)',
	})

}	

function Animate_ADI(bille,bank,pitch){
	var a_origine = 0
	var bi_gain = -0.02
	var ba_gain = 0.18
	
	var pitch_strech = 2 * pitch
	var pitch_origin = -135
	var pitch_gain = 270
	
	
	$("#ADI_Bille").css({
		'-moz-transform':'rotate('+(a_origine+bi_gain*bille)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+bi_gain*bille)+'deg)',
		'-ms-transform':'rotate('+(a_origine+bi_gain*bille)+'deg)',
	})
	
	$("#ADI_Bank").css({
		'-moz-transform':'rotate('+(a_origine+ba_gain*bank)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+ba_gain*bank)+'deg)',
		'-ms-transform':'rotate('+(a_origine+ba_gain*bank)+'deg)',
	})
	
	// expansion compression de la zone Top
	// Top Bleu Clair, on fixe l'origine du "scale down" en haut
	$("#ADI_Pitch_T").css({
	'-moz-transform-origin':'top left',
	'-webkit-transform-origin':'top left',
	'-ms-transform-origin':'top left',
	})

	// Scale vertical
	$("#ADI_Pitch_T").css({
	'-moz-transform':'scaleY('+pitch_strech+')',
	'-webkit-transform':'scaleY('+pitch_strech+')',
	'-ms-transform':'scaleY('+pitch_strech+')',
	})
	
	// Translation vers le bas , de la barre d'horizon
	
	$("#ADI_Pitch_C").css({
	'-moz-transform':'translate(0px,'+(pitch_origin + pitch_gain * pitch)+'px)',
	'-webkit-transform':'translate(0px,'+(pitch_origin + pitch_gain * pitch)+'px)',
	'-ms-transform':'translate(0px,'+(pitch_origin + pitch_gain * pitch)+'px)',
	})

}
	
function Jauge_Sling(Sling_L, Sling_R, Sling_F, Sling_B, Sling_V){

	var a_origine = -12
	var v_gain = 0.042
	
	$("#Sling_Vario").css({
	'-moz-transform':'rotate('+(a_origine+v_gain*Sling_V)+'deg)',
	'-webkit-transform':'rotate('+(a_origine+v_gain*Sling_V)+'deg)',
	'-ms-transform':'rotate('+(a_origine+v_gain*Sling_V)+'deg)',
	})

	// Jauge Gauche
	// On fixe l'origine du "scale down" à droite
	$("#Sling_G").css({
	'-moz-transform-origin':'bottom right',
	'-webkit-transform-origin':'bottom right',
	'-ms-transform-origin':'bottom right',
	})

	// Scale horizontal %age restant = longueur de barre blanche
	$("#Sling_G").css({
	'-moz-transform':'scaleX('+Sling_L+')',
	'-webkit-transform':'scaleX('+Sling_L+')',
	'-ms-transform':'scaleX('+Sling_L+')',
	})
	
	// Jauge Droite
	// On fixe l'origine du "scale down" à gauche
	$("#Sling_D").css({
	'-moz-transform-origin':'bottom left',
	'-webkit-transform-origin':'bottom left',
	'-ms-transform-origin':'bottom left',
	})

	// Scale horizontal %age restant = hauteur barre orange
	$("#Sling_D").css({
	'-moz-transform':'scaleX('+Sling_R+')',
	'-webkit-transform':'scaleX('+Sling_R+')',
	'-ms-transform':'scaleX('+Sling_R+')',
	})
	
	// Jauge Avant
	// On fixe l'origine du "scale down" en bas
	$("#Sling_AV").css({
	'-moz-transform-origin':'bottom left',
	'-webkit-transform-origin':'bottom left',
	'-ms-transform-origin':'bottom left',
	})

	// Scale horizontal %age restant = hauteur barre orange
	$("#Sling_AV").css({
	'-moz-transform':'scaleY('+Sling_F+')',
	'-webkit-transform':'scaleY('+Sling_F+')',
	'-ms-transform':'scaleY('+Sling_F+')',
	})
	
	// Jauge Arrière
	// On fixe l'origine du "scale down" en haut
	$("#Sling_AR").css({
	'-moz-transform-origin':'top left',
	'-webkit-transform-origin':'top left',
	'-ms-transform-origin':'top left',
	})

	// Scale horizontal %age restant = hauteur barre orange
	$("#Sling_AR").css({
	'-moz-transform':'scaleY('+Sling_B+')',
	'-webkit-transform':'scaleY('+Sling_B+')',
	'-ms-transform':'scaleY('+Sling_B+')',
	})
	

	
}	
	
function Rotate_Airspeed(val){
	var a_origine = 0
	var l_gain = 0.34
	
	$("#AIG_Airspeed").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Vario(val){

	
	var a_origine = -90
	// Valeur brute 1000 >> -30m/s >> 180°
	var l_gain = 0.18
	
	$("#AIG_Vario").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Altirad(val,index){
	var a_origine = 0
	var l_gain = 0.35
	
	$("#AIG_Altirad").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})
	
	$("#INDX_Altirad").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*index)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*index)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*index)+'deg)',
	})

}

function Rotate_Altitude(val){
	var a_origine = 0
	var l_gain = 0.360
	
	$("#AIG_Altitude").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Altitude1000(val){
	var a_origine = 0
	var l_gain = 0.360
	
	$("#AIG_Alti1000").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Pitch(val){
	var a_origine = 255
	var l_gain = 0.21
	
	$("#AIG_Pitch").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_RPM(val){
	var a_origine = 45
	// La valeur a été convertie dans l'export, on recorrige
	var l_gain = 3.4 / 1.10
	
	$("#AIG_RPM_Rot").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}
	

// Rotation des aiguilles moteurs (left, right), avions Russes
// Le gain est ajusté pour faire correspondre 
// le placement de l'aiguille avec la valeur exacte

function Rotate_RPM2(l,r){
	var a_origine = 45
	// La valeur a été convertie dans l'export, on recorrige
	var l_gain = 3.4 / 1.10
	var r_gain = 3.4 / 1.10
	
	$("#AIG_RPM_Eng_L").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*l)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*l)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*l)+'deg)',
	})

	$("#AIG_RPM_Eng_R").css({
		'-moz-transform':'rotate('+(a_origine+r_gain*r)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+r_gain*r)+'deg)',
		'-ms-transform':'rotate('+(a_origine+r_gain*r)+'deg)',
	})
}

function Rotate_Bille(aiguille,bille){
	
	var a_origine = 0
	var l_gain = 0.025
	var r_gain = -0.028
	
	$("#AIG_Bille").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*aiguille)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*aiguille)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*aiguille)+'deg)',
	})

	$("#Bille_Bille").css({
		'-moz-transform':'rotate('+(a_origine+r_gain*bille)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+r_gain*bille)+'deg)',
		'-ms-transform':'rotate('+(a_origine+r_gain*bille)+'deg)',
	})
}

function Rotate_Drift(val){
	var a_origine = 0
	var l_gain = 0.13
	
	$("#AIG_Drift").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Jauge_Power(pct_L, pct_R, index){

	var x_gain = -0.95

	// Jauge Gauche  fonction de scale (agrandir la gauge)
	// On fixe l'origine du "scale down" en bas
	$("#R_Power_L").css({
	'-moz-transform-origin':'bottom left',
	'-webkit-transform-origin':'bottom left',
	'-ms-transform-origin':'bottom left',
	})

	// Scale down %age restant = hauteur barre orange
	$("#R_Power_L").css({
	'-moz-transform':'scaleY('+pct_L+')',
	'-webkit-transform':'scaleY('+pct_L+')',
	'-ms-transform':'scaleY('+pct_L+')',
	})

		
	// Jauge Droite  fonction de scale (agrandir la gauge)
	// On fixe l'origine du "scale down" en bas
	$("#R_Power_R").css({
	'-moz-transform-origin':'bottom left',
	'-webkit-transform-origin':'bottom left',
	'-ms-transform-origin':'bottom left',
	})

	// Scale down %age restant = hauteur barre orange
	$("#R_Power_R").css({
	'-moz-transform':'scaleY('+pct_R+')',
	'-webkit-transform':'scaleY('+pct_R+')',
	'-ms-transform':'scaleY('+pct_R+')',
	})
	
	// Translation de l'index  fonction de translation des repères
	// valup : positif = Translation vers le bas , changement du signe DCS
	$("#R_Power_X").css({
	'-moz-transform':'translate(0px,'+(x_gain * index)+'px)',
	'-webkit-transform':'translate(0px,'+(x_gain * index)+'px)',
	'-ms-transform':'translate(0px,'+(x_gain * index)+'px)',
	})

	
	
}





	
